Bug 977781 - mulit-queues virtio-net w/o 'id' by boot option, qemu should give only one id for the queues.
mulit-queues virtio-net w/o 'id' by boot option, qemu should give only one id...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: jason wang
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2013-06-25 06:20 EDT by Qian Guo
Modified: 2016-06-30 23:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-06-30 23:27:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Qian Guo 2013-06-25 06:20:41 EDT
Description of problem:
Talked w/ jason, If boot a guest w/ multi-queues nic, and not assign a id to this virtio-net device, qemu-kvm should assign only one id to it, so file this bug to track this issue.

Version-Release number of selected component (if applicable):
# rpm -q qemu-kvm
# uname -r

How reproducible:

Steps to Reproduce:
1.Boot guest w/ multi-queues nic, and do not assign id to it.
/usr/libexec/qemu-kvm -cpu Penryn -enable-kvm -m 2048 -smp 4.sockets=1,cores=4,threads=1 -name rhel6u3c2 -drive file=/home/rhel7/rhel7.qcow2,if=none,id=drive-scsi0-disk0,format=qcow2,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,addr=0x4 -device scsi-hd,scsi-id=0,lun=0,bus=scsi0.0,drive=drive-scsi0-disk0,id=virtio-disk0 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup,queues=4 -device virtio-net-pci,mq=on,vectors=9,netdev=hostnet0,mac=54:52:1b:35:3c:18 -device virtio-balloon-pci,id=balloon0 -vnc :10 -vga std -boot menu=on -monitor stdio
2.under hmp, check the id that assigned by qemu-kvm.
(qemu) info network
virtio-net-pci.0: index=0,type=nic,model=virtio-net-pci,macaddr=54:52:1b:35:3c:18
 \ hostnet0: index=0,type=tap,ifname=tap0,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown
virtio-net-pci.1: index=1,type=nic,
 \ hostnet0: index=1,type=tap,ifname=tap0,script=no,downscript=no
virtio-net-pci.2: index=2,type=nic,
 \ hostnet0: index=2,type=tap,ifname=tap0,script=no,downscript=no
virtio-net-pci.3: index=3,type=nic,
 \ hostnet0: index=3,type=tap,ifname=tap0,script=no,downscript=no

Actual results:
The ids of the queues are not same.
Expected results:
all the ids should be same one.

Additional info:
Test that boot gest and assign id to the nic, under hmp:
(qemu) info network
test: index=0,type=nic,model=virtio-net-pci,macaddr=54:52:1b:35:3c:18
 \ hostnet0: index=0,type=tap,ifname=tap0,script=/etc/qemu-ifup,downscript=/etc/qemu-ifdown
test: index=1,type=nic,
 \ hostnet0: index=1,type=tap,ifname=tap0,script=no,downscript=no
test: index=2,type=nic,
 \ hostnet0: index=2,type=tap,ifname=tap0,script=no,downscript=no
test: index=3,type=nic,
 \ hostnet0: index=3,type=tap,ifname=tap0,script=no,downscript=no
Comment 2 Ronen Hod 2013-11-04 02:22:06 EST
Not very important. Libvirt (when used) assigns the IDs consistently.
Deferring to 7.1.
Comment 5 jason wang 2015-08-10 01:35:05 EDT
Low priority, postpone to 7.3.

Note You need to log in before you can comment on or make changes to this bug.